layer-farm-egg-production-records

Source

  • Repository: jef-systems/jef-layer-farm-backend

  • Source Run ID: 24916440967

  • Source SHA: 04fc05c78cba84982ce19870a690a0b7b6a02d48

  • Module: layer-farm

  • Documentation Scope: get

  • Lambda: jef-layer-farm-get-6

Endpoint

  • API Name: jef-layer-farm

  • Action Name: get

  • Method: GET

  • Scope Label: GET

  • Resource Path: /layer-farm-egg-production-records

  • Complete Endpoint: https://vx9egxavaa.execute-api.ap-southeast-1.amazonaws.com/prod/layer-farm-egg-production-records

  • Lambda ARN: arn:aws:lambda:ap-southeast-1:246715082475:function:jef-layer-farm-get-6

  • curl payload mode: query_string

API Gateway Description

Function: jef-layer-farm-get-6
API Name: jef-layer-farm
Action: get
Method: GET
Resource Path: /layer-farm-egg-production-records

Payload:
- entity_number: string-4-digits-nonzerostart
- include_deleted: boolean-optional
- limit: number-whole-number-optional
- next_key: string-optional
- scan_forward: boolean-optional
- record_id: string-{house-slug}-{batch-slug}-{date}-optional
- flock_id: string-{house-slug}-{batch-slug}-optional
- house: string-optional
- batch: string-optional
- start_date: string-yyyy-mm-dd-optional
- date: string-yyyy-mm-dd-optional
- caretaker: string-optional

Response:
- exists: boolean
- message: string
- source: string when operation reaches DynamoDB
- items: array
- count: number
- next_key: string or null

Request Payload

{
  "entity_number": "string-4-digits-nonzerostart",
  "include_deleted": "boolean-optional",
  "limit": "number-whole-number-optional",
  "next_key": "string-optional",
  "scan_forward": "boolean-optional",
  "record_id": "string-{house-slug}-{batch-slug}-{date}-optional",
  "flock_id": "string-{house-slug}-{batch-slug}-optional",
  "house": "string-optional",
  "batch": "string-optional",
  "start_date": "string-yyyy-mm-dd-optional",
  "date": "string-yyyy-mm-dd-optional",
  "caretaker": "string-optional"
}

Response

{
  "exists": "boolean",
  "message": "string",
  "source": "string when operation reaches DynamoDB",
  "items": "array",
  "count": "number",
  "next_key": "string or null"
}

CMD curl

curl "https://vx9egxavaa.execute-api.ap-southeast-1.amazonaws.com/prod/layer-farm-egg-production-records?entity_number=string-4-digits-nonzerostart&include_deleted=boolean-optional&limit=number-whole-number-optional&next_key=string-optional&scan_forward=boolean-optional&record_id=string-%7Bhouse-slug%7D-%7Bbatch-slug%7D-%7Bdate%7D-optional&flock_id=string-%7Bhouse-slug%7D-%7Bbatch-slug%7D-optional&house=string-optional&batch=string-optional&start_date=string-yyyy-mm-dd-optional&date=string-yyyy-mm-dd-optional&caretaker=string-optional"

PowerShell curl

curl.exe "https://vx9egxavaa.execute-api.ap-southeast-1.amazonaws.com/prod/layer-farm-egg-production-records?entity_number=string-4-digits-nonzerostart&include_deleted=boolean-optional&limit=number-whole-number-optional&next_key=string-optional&scan_forward=boolean-optional&record_id=string-%7Bhouse-slug%7D-%7Bbatch-slug%7D-%7Bdate%7D-optional&flock_id=string-%7Bhouse-slug%7D-%7Bbatch-slug%7D-optional&house=string-optional&batch=string-optional&start_date=string-yyyy-mm-dd-optional&date=string-yyyy-mm-dd-optional&caretaker=string-optional"